/**
 * Included in the page context by the sp-list macro. Adds an on-hover effect to each data row in the table.
 */
AJS.toInit(function($) {
    $(".sp-document-library").treetable({
        expandable : true,
        nodeIdAttr : "tt-id",
        parentIdAttr : "tt-parent-id",
        branchAttr : "tt-branch"
    });

    // Highlight selected row
    $(".sp-document-library tbody tr").bind("mousedown", function() {
        $(".selected").not(this).removeClass("selected");
        $(this).toggleClass("selected");
    });

    //Remove sort event on tree table
    $.each($(".sp-document-library"), function(i){
        var tbl = $(this);
        var iNumberOfColumn = tbl.children("thead").children("tr").children().length;
        var headersSettings = {};
        for(var i = 0; i < iNumberOfColumn; i++)
        {
            headersSettings[i] = {sorter : false};
        }
        tbl.tablesorter( { headers : headersSettings} );
    });

    var rows = $(".sp-data-row");
    if (rows == null || rows == undefined || rows.length == 0) {
        AJS.log("sp-list macro contained no data rows.");
        return;
    }

    rows.mouseover(function() {
        var me = $(this);
        me.addClass("sp-data-row-selected");
        me.find(".sp-actions").addClass("visible");
        me.find(".sp-actions-placeholder").removeClass("visible");
    });

    rows.mouseout(function() {
        var me = $(this);
        me.removeClass("sp-data-row-selected");
        me.find(".sp-actions").removeClass("visible");
        me.find(".sp-actions-placeholder").addClass("visible");
    });

})(AJS.$);